API Reference

Delivery Reviews

4 endpoints· Auth: JWT or API Key
post/api/v1/console/delivery/reviews JWT API Key

Create reviews

Request body

application/json
{
  "lines": [
    {
      "channelId": "00000000-0000-0000-0000-000000000000",
      "hasUnreceived": false
    }
  ],
  "returns": [
    {
      "orderId": "00000000-0000-0000-0000-000000000000",
      "returnCondition": "string",
      "customerName": "string",
      "notes": "string"
    }
  ],
  "note": "string"
}
lines
DeliveryReviewLineRequest[]
—
returns
UnreceivedOrderRequest[]
—
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/reviews" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "lines": [
    {
      "channelId": "00000000-0000-0000-0000-000000000000",
      "hasUnreceived": false
    }
  ],
  "returns": [
    {
      "orderId": "00000000-0000-0000-0000-000000000000",
      "returnCondition": "string",
      "customerName": "string",
      "notes": "string"
    }
  ],
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/delivery/reviews/compliance JWT API Key

Get compliance

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/reviews/compliance" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
post/api/v1/console/delivery/reviews/missed JWT API Key

Create missed

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/reviews/missed" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
get/api/v1/console/delivery/reviews/returnable-orders JWT API Key

Get returnable-orders

Query parameters

Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/reviews/returnable-orders" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu